Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Mat.DuplicateOption

class petsc4py.PETSc.Mat.DuplicateOption

  Bases: `object`

  Matrix duplicate option.

  See also

  `MatDuplicateOption`

  Attributes Summary

  `COPY_VALUES` | Constant `COPY_VALUES` of type `int`
  `DO_NOT_COPY_VALUES` | Constant `DO_NOT_COPY_VALUES` of type `int`
  `SHARE_NONZERO_PATTERN` | Constant `SHARE_NONZERO_PATTERN` of type `int`

  Attributes Documentation

  COPY_VALUES: int = COPY_VALUES

    Constant `COPY_VALUES` of type `int`

  DO_NOT_COPY_VALUES: int = DO_NOT_COPY_VALUES

    Constant `DO_NOT_COPY_VALUES` of type `int`

  SHARE_NONZERO_PATTERN: int = SHARE_NONZERO_PATTERN

    Constant `SHARE_NONZERO_PATTERN` of type `int`